Import WineBottler wrapper

Informations

Créateur Messages
Quentin PÂRIS Anonymous

Information

Cet installateur a été accepté par l'équipe.

Informations

Plate-formes :
Téléchargements : 13290
Wine: System

Retours d'expérience

Description

The tool allows you to import a Winebottler wine wrapper into PlayOnMac

Code source

#!/bin/bash

[ "$PLAYONLINUX" = "" ] && exit 0
source "$PLAYONLINUX/lib/sources"

POL_SetupWindow_Init

TITLE="Winebottler Wrapper Import"

[ "$POL_OS" = "Mac" ] || POL_Debug_Fatal "This script is made for PlayOnMac only"

POL_SetupWindow_free_presentation "$TITLE" "$(eval_gettext 'This tool will allow you to import a Winebottler Wrapper into PlayOnMac')" 

POL_SetupWindow_browse "$(eval_gettext "Select the Winebottler .dmg")" "$TITLE"


POL_SetupWindow_wait "$(eval_gettext "Please wait...")" "$TITLE"

dmg="$APP_ANSWER"

POL_Open "$APP_ANSWER" 

while [ ! -e "/Volumes/WineBottler Combo/" ]; do
    sleep 5
    i=$((i+1))
    [ "$i" = "5" ] && POL_Debug_Fatal "$(eval_gettext "The file does not seem to be a Winebottler dmg")"
done

version="$(/Volumes/WineBottler\ Combo/Wine.app/Contents/Resources/bin/wine --version)"

[ "$?" = "0" ] ||  POL_Debug_Fatal "$(eval_gettext "The file does not seem to be a Winebottler dmg")"

realver="${version/wine-/}-winebottler"

mkdir -p "$POL_USER_ROOT/wine/darwin-x86/$realver"

cp -r "/Volumes/WineBottler Combo/Wine.app/Contents/Resources/bin/" "$POL_USER_ROOT/wine/darwin-x86/$realver/bin"
cp -r "/Volumes/WineBottler Combo/Wine.app/Contents/Resources/lib/" "$POL_USER_ROOT/wine/darwin-x86/$realver/lib"
cp -r "/Volumes/WineBottler Combo/Wine.app/Contents/Resources/share/" "$POL_USER_ROOT/wine/darwin-x86/$realver/share"
rm "$POL_USER_ROOT/wine/darwin-x86/$realver/lib/libfreetype"*
umount "/Volumes/WineBottler Combo/"
POL_SetupWindow_message "Wine $realver has been successfully imported! You can now use it with your PlayOnMac programs" "$TITLE"


POL_SetupWindow_Close
exit 0

Contributions

Filters:

Contribuer
Membre Messages
Quentin PÂRIS Vendredi 18 Juillet 2014 à 21:53
Quentin PÂRIS Anonymous

Information

Cette mise à jour a été acceptée par l'équipe

Differences

@@ -0,0 +1,46 @@
+#!/bin/bash
+
+[ "$PLAYONLINUX" = "" ] && exit 0
+source "$PLAYONLINUX/lib/sources"
+
+POL_SetupWindow_Init
+
+TITLE="Winebottler Wrapper Import"
+
+[ "$POL_OS" = "Mac" ] || POL_Debug_Fatal "This script is made for PlayOnMac only"
+
+POL_SetupWindow_free_presentation "$TITLE" "$(eval_gettext 'This tool will allow you to import a Winebottler Wrapper into PlayOnMac')" 
+
+POL_SetupWindow_browse "$(eval_gettext "Select the Winebottler .dmg")" "$TITLE"
+
+
+POL_SetupWindow_wait "$(eval_gettext "Please wait...")" "$TITLE"
+
+dmg="$APP_ANSWER"
+
+POL_Open "$APP_ANSWER" 
+
+while [ ! -e "/Volumes/WineBottler Combo/" ]; do
+    sleep 5
+    i=$((i+1))
+    [ "$i" = "5" ] && POL_Debug_Fatal "$(eval_gettext "The file does not seem to be a Winebottler dmg")"
+done
+
+version="$(/Volumes/WineBottler\ Combo/Wine.app/Contents/Resources/bin/wine --version)"
+
+[ "$?" = "0" ] ||  POL_Debug_Fatal "$(eval_gettext "The file does not seem to be a Winebottler dmg")"
+
+realver="${version/wine-/}-winebottler"
+
+mkdir -p "$POL_USER_ROOT/wine/darwin-x86/$realver"
+
+cp -r "/Volumes/WineBottler Combo/Wine.app/Contents/Resources/bin/" "$POL_USER_ROOT/wine/darwin-x86/$realver/bin"
+cp -r "/Volumes/WineBottler Combo/Wine.app/Contents/Resources/lib/" "$POL_USER_ROOT/wine/darwin-x86/$realver/lib"
+cp -r "/Volumes/WineBottler Combo/Wine.app/Contents/Resources/share/" "$POL_USER_ROOT/wine/darwin-x86/$realver/share"
+rm "$POL_USER_ROOT/wine/darwin-x86/$realver/lib/libfreetype"*
+umount "/Volumes/WineBottler Combo/"
+POL_SetupWindow_message "Wine $realver has been successfully imported! You can now use it with your PlayOnMac programs" "$TITLE"
+
+
+POL_SetupWindow_Close
+exit 0
\ No newline at end of file

Nouveau code source

#!/bin/bash

[ "$PLAYONLINUX" = "" ] && exit 0
source "$PLAYONLINUX/lib/sources"

POL_SetupWindow_Init

TITLE="Winebottler Wrapper Import"

[ "$POL_OS" = "Mac" ] || POL_Debug_Fatal "This script is made for PlayOnMac only"

POL_SetupWindow_free_presentation "$TITLE" "$(eval_gettext 'This tool will allow you to import a Winebottler Wrapper into PlayOnMac')" 

POL_SetupWindow_browse "$(eval_gettext "Select the Winebottler .dmg")" "$TITLE"


POL_SetupWindow_wait "$(eval_gettext "Please wait...")" "$TITLE"

dmg="$APP_ANSWER"

POL_Open "$APP_ANSWER" 

while [ ! -e "/Volumes/WineBottler Combo/" ]; do
    sleep 5
    i=$((i+1))
    [ "$i" = "5" ] && POL_Debug_Fatal "$(eval_gettext "The file does not seem to be a Winebottler dmg")"
done

version="$(/Volumes/WineBottler\ Combo/Wine.app/Contents/Resources/bin/wine --version)"

[ "$?" = "0" ] ||  POL_Debug_Fatal "$(eval_gettext "The file does not seem to be a Winebottler dmg")"

realver="${version/wine-/}-winebottler"

mkdir -p "$POL_USER_ROOT/wine/darwin-x86/$realver"

cp -r "/Volumes/WineBottler Combo/Wine.app/Contents/Resources/bin/" "$POL_USER_ROOT/wine/darwin-x86/$realver/bin"
cp -r "/Volumes/WineBottler Combo/Wine.app/Contents/Resources/lib/" "$POL_USER_ROOT/wine/darwin-x86/$realver/lib"
cp -r "/Volumes/WineBottler Combo/Wine.app/Contents/Resources/share/" "$POL_USER_ROOT/wine/darwin-x86/$realver/share"
rm "$POL_USER_ROOT/wine/darwin-x86/$realver/lib/libfreetype"*
umount "/Volumes/WineBottler Combo/"
POL_SetupWindow_message "Wine $realver has been successfully imported! You can now use it with your PlayOnMac programs" "$TITLE"


POL_SetupWindow_Close
exit 0

Réponses

Edité par Tinou

This site allows content generated by members, and we promptly remove any content that infringes copyright according to our Terms of Service. To report copyright infringement, please send a notice to dmca-notice@playonlinux.com